Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events.handler
Interface EventSubscription

    public interface EventSubscription

Base interface containing event subscription configurations.

NOTE: An event subscription may or may not be removable from an edit session at runtime. You should check the return value of the isRemovable method before attempting to remove a subscription from a parent EventHandler.

NOTE: Some objects within this subscription or its heirarchy of child objects cannot be removed or renamed at runtime. Any object type that has this restriction defines an isRemovable() method to determine if the object can be removed in the scope of the current edit session. You should check the return value of isRemovable before removing an object that may not be removable. If you attempt to remove a non-removable object, an IllegalStateException will be thrown.

Method Summary
`void` | `addEventType(TaskEvent.Type type)`
`EmailEventSubscription` | `createEmailEventSubscription()`
`MessageBrokerEventSubscription` | `createMessageBrokerEventSubscription()`
`ReportingEventSubscription` | `createReportingEventSubscription()`
`EmailEventSubscription` | `getEmailEventSubscription()` May be null if no subscription information of the given type has been defined for this subscription.
`TaskEvent.Type[]` | `getEventTypes()` Get the event types for which this event subscription applies.
`MessageBrokerEventSubscription` | `getMessageBrokerEventSubscription()` May be null if no subscription information of the given type has been defined for this subscription.
`String` | `getName()` A unique name for this subscription within the parent handler.
`ReportingEventSubscription` | `getReportingEventSubscription()` May be null if no subscription information of the given type has been defined for this subscription.
`boolean` | `isForAllEventTypes()` If true, this subscription applies to all event types.
`boolean` | `isRemovable()` Is this subscription removable within the scope of the current edit session?
`void` | `removeEventType(TaskEvent.Type type)`
`void` | `setForAllEventTypes(boolean newValue)`

Method Detail

### getName

    String getName()

  A unique name for this subscription within the parent handler. Note that there is no setter for name. The name should be changed by calling the renameEventSubscription method on the parent EventHandler for this object.

### isForAllEventTypes

    boolean isForAllEventTypes()

  If true, this subscription applies to all event types. If false, this subscription applies only to those event types returned by getEventTypes().

### setForAllEventTypes

    void setForAllEventTypes(boolean newValue)

### getEventTypes

    TaskEvent.Type[] getEventTypes()

  Get the event types for which this event subscription applies. If isForAllEventTypes() returns true, this method is ignored.

### addEventType

    void addEventType(TaskEvent.Type type)

### removeEventType

    void removeEventType(TaskEvent.Type type)

### getEmailEventSubscription

    EmailEventSubscription getEmailEventSubscription()

  May be null if no subscription information of the given type has been defined for this subscription.

### createEmailEventSubscription

    EmailEventSubscription createEmailEventSubscription()

### getMessageBrokerEventSubscription

    MessageBrokerEventSubscription getMessageBrokerEventSubscription()

  May be null if no subscription information of the given type has been defined for this subscription.

### createMessageBrokerEventSubscription

    MessageBrokerEventSubscription createMessageBrokerEventSubscription()

### getReportingEventSubscription

    ReportingEventSubscription getReportingEventSubscription()

  May be null if no subscription information of the given type has been defined for this subscription.

### createReportingEventSubscription

    ReportingEventSubscription createReportingEventSubscription()

### isRemovable

    boolean isRemovable()

  Is this subscription removable within the scope of the current edit session?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD